Skip to the page

Revoke one agent key

POST/v1/organisations/{id}/agent-keys/{keyId}/revoke

Operation agents.keyRevoke · since 2026-11-10 · beta

Needs a session withwritescopeAnswers200 OK

`{ "revoked": true }`.

Path parameters

idstring (uuid)required
The organisation id.
keyIdstringrequired
The key.

Body

None. Send no body, or an empty JSON object.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

POST/v1/organisations/{id}/agent-keys/{keyId}/revoke
curl -X POST "https://api.rykloud.com/v1/organisations/$ORG_ID/agent-keys/$KEY_ID/revoke" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"